node package manager

use-es6-generator

use-es6-generator

Enable usage of es6 generator in node 0.10.x with regenerator

Caution

It will override require('module')._extensions['.js'] !!!

Example

generator.js

module.exports = function* () {
    // ... 
}

main.js

// need to setup env 
require('use-es6-generator')
 
// you can require modules with generator now 
var generator = require('./generator')